LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDataPointCustomLabelField Interface Reference

Provides interface for DataPointCustomLabelField service. More...

`import"XDataPointCustomLabelField.idl";`

Inheritance diagram for XDataPointCustomLabelField:

## Public Member Functions
DataPointCustomLabelFieldType | getFieldType ()
void | setFieldType ([in] DataPointCustomLabelFieldType fieldType)
string | getGuid ()
void | setGuid ([in] string guid)
boolean | getDataLabelsRange ()
| Indicates whether the label field's content is sourced from a cell[range] or not. More...
void | setDataLabelsRange ([in] boolean dataLabelsRange)
| Sets whether the label field's content is sourced from a cell[range] or not. More...
string | getCellRange ()
| Returns the address of the cell[range] from which the content of this field is sourced. More...
void | setCellRange ([in] string cellRange)
| Sets the address of the cell[range] from which the content of this field is sourced. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XFormattedString
string | getString ()
void | setString ([in] string String)

## Additional Inherited Members
Exported Interfaces inherited from XFormattedString2
interface | com::sun::star::beans::XPropertySet
| Access to various character properties. More...
interface | com::sun::star::chart2::XFormattedString

## Detailed Description

Provides interface for DataPointCustomLabelField service.

Since
  LibreOffice 6.1

## Member Function Documentation

## ◆ getCellRange()

string getCellRange | ( |  | ) |

Returns the address of the cell[range] from which the content of this field is sourced.

Since
  LibreOffice 7.3

## ◆ getDataLabelsRange()

boolean getDataLabelsRange | ( |  | ) |

Indicates whether the label field's content is sourced from a cell[range] or not.

Since
  LibreOffice 7.3

## ◆ getFieldType()

DataPointCustomLabelFieldType getFieldType | ( |  | ) |

## ◆ getGuid()

string getGuid | ( |  | ) |

## ◆ setCellRange()

void setCellRange | ( | [in] string | cellRange | ) |

Sets the address of the cell[range] from which the content of this field is sourced.

Since
  LibreOffice 7.3

## ◆ setDataLabelsRange()

void setDataLabelsRange | ( | [in] boolean | dataLabelsRange | ) |

Sets whether the label field's content is sourced from a cell[range] or not.

Since
  LibreOffice 7.3

## ◆ setFieldType()

void setFieldType | ( | [in] DataPointCustomLabelFieldType | fieldType | ) |

## ◆ setGuid()

void setGuid | ( | [in] string | guid | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDataPointCustomLabelField.idl